<?php

/*#############################################################

	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/

#############################################################*/

function xt_getip()
{
	//holt die IP mittels 3 verschiedener Fkt. und wenn nix zu finden is wir 666... angenommen
	if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) return $_SERVER['HTTP_X_FORWARDED_FOR'];
	elseif (isset($_SERVER['HTTP_CLIENT_IP'])) return $_SERVER['HTTP_CLIENT_IP'];
	elseif (isset($_SERVER['REMOTE_ADDR'])) return $_SERVER['REMOTE_ADDR'];
	else return '666.666.666.666';
}

function xt_mysql_check($string)
{
	return mysql_real_escape_string( trim( $string ) );
}

function counter_zaehler($value,$table,$optional)
{
	return mysql_num_rows( mysql_query("SELECT ".$value." FROM ".$table." ".$optional." ") );
}

function counter_update($value,$table,$optional)
{
	return mysql_query("UPDATE ".$table." SET ".$value." ".$optional." ");
}

function counter_insert($table,$value)
{
	return mysql_query("INSERT INTO ".$table." VALUES(".$value.")");
}

function xt_refstat($xt_counter_host,$referer)
{	
	$referer_data = parse_url($referer);
	
	//Falls der Refferer von der eigenenen Seite kommt wird er gekillt damit er nicht aufgefhrt wird
	if( !stristr( $referer_data[host] , $xt_counter_host ) )
	{
		//falls Referer da wird er hier in die DB eingetragen
		if( counter_zaehler("`id`", "`xt_counter_refstat`", "  WHERE referer='".$referer."' " ) ) 
		{			
			counter_update("hits=hits+1", "`xt_counter_refstat`", " WHERE referer='".$referer."' ");
		}
		else 
		{
			if(!empty($referer_data[host])) counter_insert("`xt_counter_refstat`", " '','".$referer."','','','1' ");
		}
	}
}

function xt_gettitle()
{
	// Funktioniert nur, wenn Titel und title-Tags in einer Zeile stehen
	$file = fopen ($_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF'], 'r');
	while (!feof ($file)) 
	{
		$line = fgets ($file, 1024);
		if (eregi ("<title>(.*)</title>", $line, $out)) break;
	}
	fclose($file);
	
	return $out[1];
}

function xt_sitestat($xt_title,$php_self,$xt_searchtit,$query)
{
	//wenn Titel suchen aktiv ist folgt Suche - kann bei speed langsam deak werden
	if(empty($xt_title) && $xt_searchtit == 1) $xt_title = xt_gettitle();
	
	if(!empty($query)) $query = "?".$query;
	
	//wenn kein Titel gefunden wurde wird Dateiname als Titel angenommen
	if(empty($xt_title)) $xt_title = basename($_SERVER['PHP_SELF']).$query;

	if( counter_zaehler("`id`", "`xt_counter_sitestat`", "  WHERE site='".$xt_title."' " ) ) 
	{
		counter_update("hits=hits+1", "`xt_counter_sitestat`", " WHERE site='".$xt_title."' ");
	}
	else 
	{
		counter_insert("`xt_counter_sitestat`", " '','".$php_self.$query."','".$xt_title."','1' ");
	}
	
	return array( " '".$php_self.$query."','".$xt_title."' " , " phpself='".$php_self.$query."', title='".$xt_title."' " );
}

function xt_useranalyse()	//Routine um den HTTP_USER_AGENT String austzuwerten und die Ergebnisse in die DB einzutragen hinter den Stringeintrag
{	
		
	//HTTP_USER_AGENT wird hier ausgewertet
	$browserstring = xt_browser($_SERVER['HTTP_USER_AGENT']);
			
	//Sprache wird hier ausgewertet
	$language = xt_langanalyse(strtolower($_SERVER['HTTP_ACCEPT_LANGUAGE']));
	
	//hier erfolgt das schreiben in die DB
	if($browserstring[1] != 'Robot')
	{
		//falls Eintrag kein Robot wird der Browsertype und das OS in die DB geschrieben
		if( counter_zaehler("`id`", "`xt_counter_userinfostat`", " WHERE browser='".$browserstring[0]."' && os='".$browserstring[1]."' && lang='".$language."' ") ) 
		{
			counter_update("hits=hits+1", "`xt_counter_userinfostat`", " WHERE browser='".$browserstring[0]."' && os='".$browserstring[1]."' && lang='".$language."' ");
		}
		else
		{
			counter_insert("`xt_counter_userinfostat`", " '' , '".$language."' , '".$browserstring[1]."' , '".$browserstring[0]."' , '' , '1' ");
		}
	}
	else
	{
		//Robottype wird in die DB geschrieben
		if( counter_zaehler("`id`", "`xt_counter_userinfostat`", " WHERE robot='".$browserstring[0]."' ") ) 
		{
			counter_update("hits=hits+1", "`xt_counter_userinfostat`", " WHERE robot='".$browserstring[0]."' ");
		}
		else
		{
			counter_insert("`xt_counter_userinfostat`", " '' , '' , '' , '' , '".$browserstring[0]."' , '1' ");
		}
	}
}

function xt_browser($agent) //Fkt analysiert $_SERVER['HTTP_USER_AGENT'] String nach Robot, Browser und OS
{
	require('array.php');
		
	$os = "Unknown";

	//OS bestimmen
	//zu erst nach Windowsversionen suchen
	if(stristr( $agent , "win" ))
	{
		while (list ($key, $val) = each ($windows_array)) 
		{
			if(stristr( $agent , $key ))
			{
				$os = $val;
				break;
			}
		}
	}
	//falls nix windows andre suchen
	else
	{
		for($i=0;$i<count($other_os_array);$i++)
		{
			if(stristr( $agent , $other_os_array[$i] ))
			{
				$os = $other_os_array[$i];
				break;
			}
		}
	}
		
	//Browser bestimmen					
	
	//dann erst nach MSIE suchen
	if(stristr( $agent , "Firefox" )) return array( "Firefox" , $os );
	
	//zuerst nach den haeufigsten und browsern die auf dem msie basieren suchen
	for($i=0;$i<24;$i++)
	{
		if(stristr( $agent , $main_browser_array[$i] )) return array( $main_browser_array[$i] , $os );
	}	
	
	//dann erst nach MSIE suchen
	if(stristr( $agent , "MSIE" )) return array( "Internet Explorer" , $os );
	
	//falls noch nix gefunden Robots suchen
	for($i=0;$i<count($robot_array);$i++)
	{
		if(stristr( $agent , $robot_array[$i] )) return array( $robot_array[$i] , 'Robot' );
	}
		
	//dann das sonstige browserarray durchsuchen
	for($i=0;$i<count($browser_array);$i++)
	{
		if(stristr( $agent , $browser_array[$i] )) return array( $browser_array[$i] , $os );
	}
		
	return array("Unknown",$os);
}

function xt_langanalyse($value)	//Routine um das Herkunftsland zu ermitteln aus dem $_SERVER['HTTP_ACCEPT_LANGUAGE'] String
{
	require('array.php');
	
	$lang = explode(',', $value);
	
	if(strlen($lang[0]) > 2) $lang[0] = substr($lang[0],-2);
	
	//berprfen ob es auch eine Flagge zur Sprache gibt ansonsten wird nix returned
	if(array_key_exists($lang[0],$country_array)) return $country_array[$lang[0]];
	else return "xt";
}

define ("XT_COPYRIGHT", "

<!--

xt-Stats - PHP Counter Script of the top class
Copyright:  2005 R. Kunze
License: GPL vs2.0 or higher
Contact: http://www.kunze.be/

-->

");

?>