<?php

/*#############################################################

	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/

#############################################################*/

//Array fuer Crawlerbilder
$robot_array = array( '1noon', '2dehands', 'a2b', 'about', 'accoona', 'acoon', 'addy', 'aleksika', 'alexa', 'alltheweb', 'altavista', 'amfibibot', 'amidella', 'aol', 'aonde', 'aport', 'arachmo', 'ask', 'atomz', 'avantgo', 'awasu', 'axmo', 'baiduspider', 'become', 'bitacle', 'bitbeamer', 'blogg', 'bloglines', 'blogranking', 'blogsearch', 'blogstreet', 'blogwatcher', 'bobby', 'bordermanager', 'bottomfeeder', 'carp', 'centrum', 'cerberian', 'cirilizator', 'claymont', 'clush', 'coldfusion', 'comet', 'convera', 'creativecommons', 'cyberz', 'cynthia', 'd4x', 'daum', 'delfi', 'devonagent', 'drupal', 'earthcom', 'empas', 'entireweb', 'envolk', 'euroseek', 'everbee', 'exabot', 'excite', 'fast', 'fastbuzz', 'favicon', 'feeddemon', 'feedreader', 'feedster', 'findengines', 'findexa', 'findlinks', 'fireball', 'firefly', 'flashget', 'friend', 'frontier', 'galaxy', 'gdesktop', 'getright', 'getsmart', 'gigabot', 'girafabot', 'glucose', 'goforit', 'google', 'gpost', 'grub', 'harbot', 'hatena', 'heritrix', 'hoowwwer', 'hotbot', 'hotzonu', 'htdig', 'html2jpg', 'httrack', 'hungary', 'ilse', 'iltrovatore', 'infoseek', 'inktomi', 'intravnews', 'java', 'jeteye', 'jigsaw', 'jyxo', 'keywen', 'kinja', 'lapozz', 'leechget', 'libwww', 'liferea', 'linkcheck', 'linkman', 'livedoor', 'livejournal', 'look', 'looksmart', 'loop', 'lycos', 'matkurja', 'mavicanet', 'metager', 'metamedic', 'mirago', 'miva', 'mj12', 'mnogosearch', 'movabletype', 'mozdex', 'msiecrawler', 'msn', 'nameprotect', 'naverbot', 'nessus', 'netants', 'netcraft', 'netmechanic', 'netnewswire', 'netnose', 'newsfire', 'newsgator', 'newzcrawler', 'ngsearch', 'noviforum', 'nutchbot', 'ocelli', 'omea', 'omniexplorer', 'onet', 'openfind', 'overture', 'peerbot', 'php', 'pinseri', 'planet', 'plsearch', 'pluck', 'pogodak', 'pompos', 'psbot', 'pukiwiki', 'quepasacreep', 'rambler', 'robot', 'robozilla', 'rssbandit', 'rssowl', 'saucereader', 'scrubby', 'seekbot', 'seekport', 'sharpreader', 'simpy', 'singingfish', 'sitebar', 'sitesell', 'soft411', 'stardownloader', 'superbot', 'surveybot', 'szukacz', 'technorati', 'teleport', 'teoma', 'thunderstone', 'turnitinbot', 'typepad', 'validator', 'vindex', 'voila', 'w3c', 'waypath', 'webcopier', 'webmin', 'webmon', 'webpix', 'websquash', 'webzip', 'wget', 'wiseguys', 'wordpress', 'worldlight', 'wotbox', 'wp', 'wwgrapevine', 'wwwc', 'wwweasel', 'wysigot', 'yahoo', 'yandex', 'yell', 'zeal', 'zyborg' );

//Array fuer Browsericons
$browser_array = array( 'abrowse', 'aim', 'amaya', 'antfresco', 'aol', 'avant', 'aweb', 'beonex', 'blazer', 'camino', 'chimera', 'columbus', 'crazybrowser', 'curl', 'deepnet', 'dillo', 'donut', 'doris', 'elinks', 'epiphany', 'firebird', 'firefox', 'flock', 'galeon', 'ibrowse', 'icab', 'ice', 'internet explorer', 'irider', 'isilox', 'k-meleon', 'kazehakase', 'konqueror', 'links', 'lotus', 'lunascape', 'lynx', 'maxthon', 'mbrowser', 'mosaic', 'mozilla', 'multizilla', 'myie2', 'nautilus', 'netcaptor', 'netfront', 'netpositive', 'netscape', 'omniweb', 'opera', 'oregano', 'phaseout', 'phoenix', 'plink', 'powermarks', 'proxomitron', 'safari', 'seamonkey', 'shiira', 'sleipnir', 'slimbrowser', 'staroffice', 'sunrise', 'thunderbird', 'voyager', 'w3m', 'webtv', 'xiino' );

$os_array = array( 'windows xp', 'windows 2000', 'windows 2003', 'windows vista', 'windows me', 'windows', 'linux', 'macintosh', 'aix', 'amigaos', 'beos', 'darwin', 'freebsd', 'hp-ux', 'irix', 'netbsd', 'openbsd', 'openvms', 'os2', 'palmos', 'risc os', 'sunos', 'symbian' );

$flag_array = array( 'ae', 'al', 'am', 'ar', 'at', 'au', 'az', 'be', 'bg', 'bh', 'bn', 'bo', 'br', 'bz', 'ca', 'ch', 'cl', 'cn', 'co', 'cr', 'cs', 'cz', 'de', 'dk', 'do', 'dz', 'ec', 'ee', 'eg', 'es', 'fi', 'fo', 'fr', 'gb', 'gr', 'gt', 'hk', 'hn', 'hr', 'hu', 'id', 'ie', 'il', 'in', 'iq', 'ir', 'is', 'it', 'jm', 'jo', 'jp', 'kp', 'kw', 'lb', 'li', 'ls', 'lt', 'lu', 'lv', 'ly', 'ma', 'mk', 'mo', 'mt', 'mx', 'my', 'ni', 'nl', 'no', 'nz', 'om', 'pa', 'pe', 'ph', 'pk', 'pl', 'pr', 'pt', 'py', 'qa', 'ro', 'ru', 'sa', 'se', 'sg', 'si', 'sk', 'sv', 'sy', 'th', 'tn', 'tr', 'tt', 'tw', 'tz', 'ua', 'us', 'uy', 'uz', 've', 'vn', 'ye', 'za' );

//Array fr Countryinfo
$country_infos = array(
"AE" => array( "United Arab Emirates", "Abu Dhabi", "Middle East", "UAE Dirham", "AED", "2407460", "4", "Arabic (official), English as a second language", "971" ),
"AL" => array( "Albania", "Tirana", "Europe", "Lek", "ALL", "3510484", "2", "Albanian (Tosk is the official dialect), Greek", "355" ),
"AM" => array( "Armenia", "Yerevan", "Commonwealth of Independent States", "Armenian Dram", "AMD", "3336100", "5", "Armenian", "374" ),
"AR" => array( "Argentina", "Buenos Aires", "South America", "Argentine Peso", "ARS", "37384816", "-3", "Spanish (official), English, Italian, German, French", "54" ),
"AT" => array( "Austria", "Vienna", "Europe", "Euro", "EUR", "8150835", "2", "German 98%", "0" ),
"AU" => array( "Australia", "Canberra", "Oceania", "Australian dollar", "AUD", "19357594", "10", "English", "61" ),
"AZ" => array( "Azerbaijan", "Baku (Baki)", "Commonwealth of Independent States", "Azerbaijani Manat", "AZM", "7771092", "5", "Azerbaijani Turkic, Russian, Armenian", "994" ),
"BE" => array( "Belgium", "Brussels", "Europe", "Euro", "EUR", "10258762", "2", "Dutch (Flemish), French, German", "32" ),
"BG" => array( "Bulgaria", "Sofia", "Europe", "Lev", "BGL", "7707495", "3", "Bulgarian", "359" ),
"BH" => array( "Bahrain", "Manama", "Middle East", "Bahraini Dinar", "BHD", "645361", "3", "Arabic (official), English, Farsi, Urdu", "937" ),
"BN" => array( "Brunei Darussalam", "Bandar Seri Begawan", "Southeast Asia", "Brunei Dollar", "BND", "0", "8", "Malay (official), Chinese, English", "673" ),
"BO" => array( "Bolivia", "La Paz /Sucre", "South America", "Boliviano", "BOB", "8300463", "-4", "Spanish (official), Quechua (official), Aymara (official)", "591" ),
"BR" => array( "Brazil", "Brasilia", "South America", "Brazilian Real", "BRL", "174468575", "-3", "Portuguese", "55" ),
"BZ" => array( "Belize", "Belmopan", "Central America and the Caribbean", "Belize Dollar", "BZD", "256062", "-6", "English (official), Creole, Spanish, Garifuna, Mayan", "501" ),
"CA" => array( "Canada", "Ottawa", "North America", "Canadian Dollar", "CAD", "31592805", "-4", "English, French (both official)", "1" ),
"CH" => array( "Switzerland", "Bern", "Europe", "Swiss Franc", "CHF", "7283274", "2", "German, French, Italian (all official), Romansch", "41" ),
"CL" => array( "Chile", "Santiago", "South America", "Chilean Peso", "CLP", "15328467", "-4", "Spanish", "56" ),
"CN" => array( "China", "Beijing", "Asia", "Yuan Renminbi", "CNY", "1273111290", "8", "Chinese, Mandarin, also local dialects", "86" ),
"CO" => array( "Colombia", "Bogota", "South America, Central America and the Caribbean", "Colombian Peso", "COP", "40349388", "-5", "Spanish", "57" ),
"CR" => array( "Costa Rica", "San Jose", "Central America and the Caribbean", "Costa Rican Colon", "CRC", "3773057", "-6", "Spanish", "506" ),
"CS" => array( "Serbia and Montenegro", "Belgrade", "Southeastern Europe", "Yugoslavian Dinar", "YUM", "0", "2", "", "0" ),
"CZ" => array( "Czech Republic", "Prague", "Europe", "Czech Koruna", "CZK", "10264212", "2", "Czech; Slovak minority", "420" ),
"DE" => array( "Germany", "Berlin", "Europe", "Euro", "EUR", "83029536", "2", "German", "49" ),
"DK" => array( "Denmark", "Copenhagen", "Europe", "Danish Krone", "DKK", "5352815", "2", "Danish, Faeroese, Greenlandic (an Inuit dialect), German speaking minority", "45" ),
"DO" => array( "Dominican Republic", "Santo Domingo", "Central America and the Caribbean", "Dominican Peso", "DOP", "8581477", "-4", "Spanish, English widely spoken", "809" ),
"DZ" => array( "Algeria", "Algiers", "Africa", "Algerian Dinar", "DZD", "31736053", "1", "Arabic (official), French, Berber dialects", "213" ),
"EC" => array( "Ecuador", "Quito", "South America", "US dollar", "USD", "13183978", "-5", "Spanish (official), Quechua", "593" ),
"EE" => array( "Estonia", "Tallinn", "Europe", "Kroon", "EEK", "1423316", "3", "Estonian (official), Russian, Finnish, English", "372" ),
"EG" => array( "Egypt", "Cairo", "Africa", "Egyptian Pound", "EGP", "69536644", "3", "Arabic", "20" ),
"ES" => array( "Spain", "Madrid", "Europe", "Euro", "EUR", "40037995", "2", "Castilian Spanish (official), Catalan, Galician, Basque", "34" ),
"FI" => array( "Finland", "Helsinki", "Europe", "Euro", "EUR", "5175783", "3", "Finnish, Swedish (both official); small Sami- (Lapp) and Russian-speaking minorities", "358" ),
"FO" => array( "Faroe Islands", "Torshavn", "Europe", "Danish Krone", "DKK", "45661", "1", "", "0" ),
"FR" => array( "France", "Paris", "Europe", "Euro", "EUR", "59551227", "2", "French, declining regional dialects (Provençal, Breton, Alsatian, Corsican)", "33" ),
"GB" => array( "United Kingdom", "London", "Europe", "Pound Sterling", "GBP", "59647790", "1", "English, Welsh, Scots Gaelic", "44" ),
"GR" => array( "Greece", "Athens", "Europe", "Euro", "EUR", "10623835", "3", "Greek", "30" ),
"GT" => array( "Guatemala", "Guatemala", "Central America and the Caribbean", "Quetzal", "GTQ", "12974361", "-6", "Spanish, Indian languages", "502" ),
"HK" => array( "Hong Kong (SAR)", "Hong Kong", "Southeast Asia", "Hong Kong Dollar", "HKD", "0", "8", "852", "0" ),
"HN" => array( "Honduras", "Tegucigalpa", "Central America and the Caribbean", "Lempira", "HNL", "6406052", "-6", "Spanish (official), English widely spoken in business", "0" ),
"HR" => array( "Croatia", "Zagreb", "Europe", "Kuna", "HRK", "4334142", "2", "Serbian, Croatian, or Bosnian", "385" ),
"HU" => array( "Hungary", "Budapest", "Europe", "Forint", "HUF", "10106017", "2", "Magyar (Hungarian)", "36" ),
"ID" => array( "Indonesia", "Jakarta", "Southeast Asia", "Rupiah", "IDR", "228437870", "7", "Bahasa Indonesia (official), Dutch, English, and more than 583 languages and dialects", "62" ),
"IE" => array( "Ireland", "Dublin", "Europe", "Euro", "EUR", "3840838", "1", "English, Irish Gaelic", "353" ),
"IL" => array( "Israel", "Jerusalem", "Middle East", "New Israeli Sheqel", "ILS", "5938093", "3", "Hebrew (official), Arabic, English", "972" ),
"IN" => array( "India", "New Delhi", "Asia", "Indian Rupee", "INR", "1029991145", "5.5", "Hindi (official), English (official), Bengali, Gujarati, Kashmiri, Malayalam, Marathi, Oriya, Punjabi, Tamil, Telugu, Urdu, Kannada, Assamese, Sanskrit, Sindhi (all recognized by the constitution). Dialects, 1,652", "91" ),
"IQ" => array( "Iraq", "Baghdad", "Middle East", "Iraqi Dinar", "IQD", "23331985", "4", "Arabic (official) and Kurdish", "964" ),
"IR" => array( "Iran", "Tehran", "Middle East", "Iranian Rial", "IRR", "66128965", "4.5", "Farsi (Persian), Azari, Kurdish, Arabic", "98" ),
"IS" => array( "Iceland", "Reykjavik", "Arctic Region", "Iceland Krona", "ISK", "277906", "0", "354", "0" ),
"IT" => array( "Italy", "Rome", "Europe", "Euro", "EUR", "57679825", "2", "Italian; small German-, French-, and Slovene-speaking minorities", "39" ),
"JM" => array( "Jamaica", "Kingston", "Central America and the Caribbean", "Jamaican dollar", "JMD", "2665636", "-5", "English, Jamaican Creole", "876" ),
"JO" => array( "Jordan", "Amman", "Middle East", "Jordanian Dinar", "JOD", "5153378", "3", "Arabic (official), English", "962" ),
"JP" => array( "Japan", "Tokyo", "Asia", "Yen", "JPY", "126771662", "9", "Japanese", "81" ),
"KP" => array( "Korea, North", "P'yongyang", "Asia", "North Korean Won", "KPW", "21968228", "9", "Korean", "85" ),
"KW" => array( "Kuwait", "Kuwait", "Middle East", "Kuwaiti Dinar", "KWD", "2041961", "3", "Arabic (official), English", "965" ),
"LB" => array( "Lebanon", "Beirut", "Middle East", "Lebanese Pound", "LBP", "3627774", "3", "Arabic (official), French, English", "961" ),
"LI" => array( "Liechtenstein", "Vaduz", "Europe", "Swiss Franc", "CHF", "32528", "2", "German (official), Alemmanic dialect", "41" ),
"LS" => array( "Lesotho", "Maseru", "Africa", "Loti", "LSL", "2177062", "2", "English and Sesotho (official); also Zulu and Xhosa", "266" ),
"LT" => array( "Lithuania", "Vilnius", "Europe", "Lithuanian Litas", "LTL", "3610535", "3", "Lithuanian (official), Polish, Russian", "370" ),
"LU" => array( "Luxembourg", "Luxembourg", "Europe", "Euro", "EUR", "442972", "2", "Luxermbourgish, French, German", "352" ),
"LV" => array( "Latvia", "Riga", "Europe", "Latvian Lats", "LVL", "2385231", "3", "Latvian", "371" ),
"LY" => array( "Libya", "Tripoli", "Africa", "Libyan Dinar", "LYD", "5240599", "2", "Arabic, Italian and English", "218" ),
"MA" => array( "Morocco", "Rabat", "Africa", "Moroccan Dirham", "MAD", "30645305", "0", "Arabic (official), French, Berber dialects, Spanish", "212" ),
"MK" => array( "Macedonia, The Former Yugoslav Republic of", "Skopje", "Europe", "Denar", "MKD", "2046209", "2", "Macedonian (official), Albanian (official), Turkish, other", "389" ),
"MO" => array( "Macao", "Macao", "Southeast Asia", "Pataca", "MOP", "453733", "8", "853", "0" ),
"MT" => array( "Malta", "Valletta", "Europe", "Maltese Lira", "MTL", "394583", "2", "Maltese and English (both official)", "356" ),
"MX" => array( "Mexico", "Mexico", "North America", "Mexican Peso", "MXN", "101879171", "-5", "Spanish, Indian languages", "52" ),
"MY" => array( "Malaysia", "Kuala Lumpur", "Southeast Asia", "Malaysian Ringgit", "MYR", "22229040", "8", "Malay (official), Chinese, Tamil, English", "60" ),
"NI" => array( "Nicaragua", "Managua", "Central America and the Caribbean", "Cordoba Oro", "NIO", "4918393", "-6", "Spanish", "505" ),
"NL" => array( "Netherlands", "Amsterdam", "Europe", "Euro", "EUR", "15981472", "2", "Dutch, Frisian", "31" ),
"NO" => array( "Norway", "Oslo", "Europe", "Norwegian Krone", "NOK", "4503440", "2", "Two official forms of Norwegian: Bokmål and Nynorsk", "47" ),
"NZ" => array( "New Zealand", "Wellington", "Oceania", "New Zealand Dollar", "NZD", "3864129", "12", "English, Maori (both official)", "64" ),
"OM" => array( "Oman", "Muscat", "Middle East", "Rial Omani", "OMR", "2622198", "4", "Arabic (official); also English and Indian languages", "968" ),
"PA" => array( "Panama", "Panama", "Central America and the Caribbean", "balboa", "PAB", "2845647", "-5", "Spanish (official); many bilingual in English", "507" ),
"PE" => array( "Peru", "Lima", "South America", "Nuevo Sol", "PEN", "27483864", "-5", "Spanish and Quéchua (both official), Aymara, and other native languages", "51" ),
"PH" => array( "Philippines", "Manila", "Southeast Asia", "Philippine Peso", "PHP", "82841518", "8", "Filipino (based on Tagalog) and English (both official); regional languages: Tagalog, Ilocano, Cebuano, others", "63" ),
"PK" => array( "Pakistan", "Islamabad", "Asia", "Pakistan Rupee", "PKR", "144616639", "5", "Punjabi 48%, Sindhi 12%, Siraiki (a Punjabi variant) 10%, Pashtu 8%, Urdu (official) 8%, Balochi 3%, Hindko 2%, Brahui 1%, English, Burushaski, and others", "92" ),
"PL" => array( "Poland", "Warsaw", "Europe", "Zloty", "PLN", "38633912", "2", "Polish", "48" ),
"PR" => array( "Puerto Rico", "San Juan", "Central America and the Caribbean", "US dollar", "USD", "3937316", "-4", "", "0" ),
"PT" => array( "Portugal", "Lisbon", "Europe", "Euro", "EUR", "10066253", "1", "Portuguese", "351" ),
"PY" => array( "Paraguay", "Asuncion", "South America", "Guarani", "PYG", "5734139", "-4", "Spanish (official), Guaraní", "595" ),
"QA" => array( "Qatar", "Doha", "Middle East", "Qatari Rial", "QAR", "769152", "3", "Arabic (official); English is also widely spoken", "974" ),
"RO" => array( "Romania", "Bucharest", "Europe", "Leu", "ROL", "22364022", "3", "Romanian (official); Hungarian- and German-speaking minorities", "40" ),
"RU" => array( "Russia", "Moscow", "Asia", "Russian Ruble", "RUB", "145470197", "4", "Russian, others", "7" ),
"SA" => array( "Saudi Arabia", "Riyadh", "Middle East", "Saudi Riyal", "SAR", "22757092", "3", "Arabic, English widely spoken", "966" ),
"SE" => array( "Sweden", "Stockholm", "Europe", "Swedish Krona", "SEK", "8875053", "2", "Swedish", "46" ),
"SG" => array( "Singapore", "Singapore", "Southeast Asia", "Singapore Dollar", "SGD", "4300419", "8", "Malay, Chinese (Mandarin), Tamil, English (all official)", "65" ),
"SI" => array( "Slovenia", "Ljubljana", "Europe", "Tolar", "SIT", "1930132", "2", "Slovenian, Serbo-Croatian", "386" ),
"SK" => array( "Slovakia", "Bratislava", "Europe", "Slovak Koruna", "SKK", "5414937", "2", "Slovak (official), Hungarian", "232" ),
"SV" => array( "El Salvador", "San Salvador", "Central America and the Caribbean", "El Salvador Colon", "SVC", "6237662", "-6", "Spanish", "963" ),
"SY" => array( "Syria", "Damascus", "Middle East", "Syrian Pound", "SYP", "16728808", "3", "Arabic (official), French and English widely understood", "268" ),
"TH" => array( "Thailand", "Bangkok", "Southeast Asia", "Baht", "THB", "61797751", "7", "Thai (Siamese), Chinese, English", "0" ),
"TN" => array( "Tunisia", "Tunis", "Africa", "Tunisian Dinar", "TND", "9705102", "1", "Arabic (official), French", "216" ),
"TR" => array( "Turkey", "Ankara", "Middle East", "Turkish Lira", "TRL", "66493970", "3", "Turkish", "90" ),
"TT" => array( "Trinidad and Tobago", "Port-of-Spain", "Central America and the Caribbean", "Trinidad and Tobago Dollar", "TTD", "1169682", "-4", "English (official), Hindi, French, Spanish", "868" ),
"TW" => array( "Taiwan", "Taipei", "Southeast Asia", "New Taiwan Dollar", "TWD", "22370461", "8", "Chinese (Mandarin)", "886" ),
"TZ" => array( "Tanzania", "Dar es Salaam", "Africa", "Tanzanian Shilling", "TZS", "36232074", "3", "Swahili and English (both official), local languages", "255" ),
"UA" => array( "Ukraine", "Kiev", "Commonwealth of Independent States", "Hryvnia", "UAH", "48760474", "3", "Ukrainian", "380" ),
"US" => array( "United States", "Washington, DC", "North America", "US Dollar", "USD", "278058881", "-4", "English, sizable Spanish-speaking minority", "1" ),
"UY" => array( "Uruguay", "Montevideo", "South America", "Peso Uruguayo", "UYU", "3360105", "-3", "598", "0" ),
"UZ" => array( "Uzbekistan", "Tashkent", "Commonwealth of Independent States", "Uzbekistan Sum", "UZS", "25155064", "5", "Spanish", "7" ),
"VE" => array( "Venezuela", "Caracas", "South America, Central America and the Caribbean", "Bolivar", "VEB", "23916810", "-4", "Spanish (official), various indigenous languages in the remote interior", "58" ),
"VN" => array( "Vietnam", "Hanoi", "Southeast Asia", "Dong", "VND", "79939014", "7", "Vietnamese (official), French, English, Khmer, Chinese", "84" ),
"YE" => array( "Yemen", "Sanaa", "Middle East", "Yemeni Rial", "YER", "18078035", "3", "Arabic", "967" ),
"ZA" => array( "South Africa", "Pretoria", "Africa", "Rand", "ZAR", "43586097", "2", "Xhosa and Zulu (official), English, Afrikaans, Ndebele, Sesotho sa Leboa, Sesotho, Swati, Xitsonga, Setswana, Tshivenda", "27" ) 
);

?>