<?php

/*#############################################################

	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/

#############################################################*/

//Array fuer Sprachen
$country_array = array( "sq" => "al", "ae" => "ae", "bh" => "bh", "dz" => "dz", "eg" => "eg", "iq" => "iq", "jo" => "jo", "kw" => "kw", "lb" => "lb", "ly" => "ly", "ma" => "ma", "om" => "om", "qa" => "qa", "sa" => "sa", "sy" => "sy", "tn" => "tn", "ye" => "ye", "hy" => "am", "az" => "az", "eu" => "es", "bg" => "bg", "cn" => "cn", "hk" => "hk", "mo" => "mo", "sg" => "sg", "tw" => "tw", "hr" => "hr", "cs" => "cz", "da" => "dk", "nl" => "nl", "be" => "be", "au" => "au", "bz" => "bz", "ca" => "ca", "ie" => "ie", "jm" => "jm", "nz" => "nz", "ph" => "ph", "za" => "za", "tt" => "tt", "gb" => "gb", "en" => "gb", "us" => "us", "et" => "ee", "fa" => "ir", "fi" => "fi", "fo" => "fo", "fr" => "fr", "lu" => "lu", "ch" => "ch", "gd" => "gb", "de" => "de", "at" => "at", "li" => "li", "el" => "gr", "he" => "il", "hi" => "in", "hu" => "hu", "is" => "is", "id" => "id", "it" => "it", "ja" => "jp", "ko" => "kp", "lv" => "lv", "lt" => "lt", "mk" => "mk", "my" => "my", "bn" => "bn", "mt" => "mt", "mr" => "in", "no" => "no", "pl" => "pl", "pt" => "pt", "br" => "br", "rm" => "ch", "ro" => "ro", "ru" => "ru", "sp" => "cs", "sl" => "si", "sk" => "sk", "sb" => "de", "es" => "es", "ar" => "ar", "bo" => "bo", "cl" => "cl", "co" => "co", "cr" => "cr", "do" => "do", "ec" => "ec", "gt" => "gt", "hn" => "hn", "mx" => "mx", "ni" => "ni", "pa" => "pa", "pe" => "pe", "pr" => "pr", "py" => "py", "sv" => "sv", "uy" => "uy", "ve" => "ve", "sx" => "ls", "sw" => "tz", "se" => "se", "ta" => "in", "th" => "th", "tr" => "tr", "ts" => "za", "uk" => "ua", "ur" => "pk", "uz" => "uz", "vi" => "vn", "xh" => "za", "yi" => "il", "zu" => "za");

//Arrays um zu bestimmen welches Windows
$windows_array = array( "NT 5.1" => "Windows XP", "NT 5.0" => "Windows 2000", "Win98" => "Windows 98", "Win 98" => "Windows 98", "Windows 98" => "Windows 98", "Windows98" => "Windows 98", "NT 5.2" => "Windows 2003", "NT 6.0" => "Windows Vista", "NT" => "Windows NT", "ME" => "Windows ME", "9x 4.90" => "Windows ME", "95" => "Windows 95", "3.1" => "Windows 95", "CE" => "Windows CE", "XP" => "Windows XP", "2000" => "Windows 2000", "Win32" => "Windows XP", "Darwin" => "Darwin", "Win" => "Windows" );

//Array fuer OS
$other_os_array = array( "Linux", "MacIntosh", "AIX", "AmigaOS", "BeOS", "FreeBSD", "HP-UX", "IRIX", "NetBSD", "OpenBSD", "OpenVMS", "OS2", "PalmOS", "RISC OS", "SunOS", "Symbian" );

//Array um den Crawler zu identifizieren
$robot_array = array(
'Googlebot Test',
'Googlebot-Image',
'Googlebot',
'Mediapartners-Google',
'Yahoo! Slurp',
'Yahoo-MMAudVid',
'Yahoo-MMCrawler',
'Msnbot',
'ZyBorg',
'AOL-IWENG',
'Ask Jeeves',
'AskJeevesTeoma',
'Psbot',
'SurveyBot',
'Cerberian Drtrs',
'CerberianDrtrsVersion',
'PHP4.2.2',
'PHP4.2.3',
'PHPversiontracker',
'PhpDigPHPDIG_VERSION',
'PHP',
'Seekbot',
'$BotName/$BotVersion',
'1noon',
'2dehands',
'ASPseek',
'Almaden',
'Amfibibot',
'AnsearchBot1.0',
'AnswerBus',
'Appie',
'ArachnetAgent2.3',
'Argus',
'ArtfaceBot',
'AvantGo',
'BDFetch',
'BaiDuSpider',
'BecomeBot',
'Big Brother',
'Bobby',
'BorderManager',
'BruinBot',
'BuscaplusRobi',
'CacheBot',
'Clushbot',
'Convera',
'ConveraMultiMediaCrawler',
'CosmixCrawler',
'Crawler0.1',
'CydralSpider',
'DoCoMo',
'Dual Proxy',
'Dumbot',
'E-SocietyRobot',
'EmailSiphon',
'FAST Enterprise Crawler',
'FAST-WebCrawler',
'FastBug',
'Favicon',
'Filangy',
'FindAnISP.com_ISP_Finder_v99a',
'Findlinks',
'Fireball',
'FlashGet',
'Fluffy the spider',
'FyberSpider',
'Gaisbot',
'Gazz',
'Generic',
'GeonaBot',
'GetRight',
'Gigabot',
'Girafabot',
'Goldfire Server',
'Grub-client',
'Grubclient',
'HTTrack',
'Hatena Antenna',
'HooWWWer',
'Html Link Validator',
'Httpget',
'IRLbot',
'Ia_archiver',
'Ichiro',
'IconSurf',
'Iltrovatore-Setaccio',
'Indy Library',
'InelaBot',
'Infoseek SideWinder',
'InternetLinkAgent',
'Istarthere',
'Java',
'JoBo',
'Knowledge',
'LB-Crawler',
'LNSpiderguy',
'Larbin',
'Libwww-MGET',
'Libwww-perl',
'LimeBot',
'LinkLint-checkonly',
'Linkman',
'Linknzbot',
'Links SQL',
'Lwp-request',
'MS Data Access',
'MS FrontPage',
'MSIECrawler',
'MSProxy',
'Metager',
'Microsoft URL Control',
'MnoGoSearch',
'MovableType',
'MozDex',
'NPBot',
'NWSpider',
'NaverBot',
'NaverBot_dloader',
'NetNoseCrawler',
'NetResearchServer',
'NextGenSearchBot',
'NuSearch Spider',
'NutchBot',
'NutchCVS',
'NutchOSUOSL0.05',
'ObjectsSearch',
'Obot',
'Ocelli',
'OmniExplorer_Bot',
'Openbot',
'PEERbot',
'Patwebbot',
'PipeLiner',
'Pompos',
'Portal Manager',
'QuepasaCreep',
'RPT-HTTPClient',
'Rambler',
'RixBot',
'RoboPal',
'Robozilla',
'SafariBookmarkChecker',
'Scooter',
'Scrubby',
'Search Agent',
'Search-Channel',
'Sensis Web Crawler',
'ShowLinks',
'Simpy',
'SiteBar',
'Sohu-search',
'SpeedySpider',
'SpiderMan',
'SpurlBot',
'Sqworm',
'StarDownloader',
'Szukacz',
'Tarantula',
'Teleport',
'TheSuBot',
'Thumbshots-de-Bot',
'TulipChain',
'TurnitinBot',
'TutorGigBot',
'Tutorial Crawler',
'TutorialCrawler',
'USyd-NLP-Spider',
'Unchaos_crawler',
'Updated',
'Uptimebot',
'Vspider',
'W32Trojan.Coced.226',
'W3C-checklink',
'W3C_Validator3',
'WWWeasel',
'WebFilter Robot',
'WebMon',
'WebPix',
'WebRACE',
'WebSauger',
'WebSearch',
'WebZIP',
'Webinator-indexer',
'Webwombat',
'Webyield robot',
'Wget',
'WordPress',
'Wotbox',
'Xenu Link Sleuth',
'Yandex',
'YottaCars_Bot',
'YottaShopping_Bot',
'Zao-Crawler',
'Zeus',
'ZipppBot',
'ZoomSpider',
'a2b',
'abot',
'about',
'accoona',
'acoon',
'addy',
'aipbot',
'aleksika',
'alexa',
'alltheweb',
'altavista',
'amidella',
'aonde',
'aport',
'arachmo',
'atomz',
'awasu',
'axmo',
'bitacle',
'bitbeamer',
'blogg',
'bloglines',
'blogranking',
'blogsearch',
'blogstreet',
'blogwatcher',
'boitho.com-dc',
'bottomfeeder',
'carp',
'centrum',
'cfetch',
'cirilizator',
'claymont',
'coldfusion',
'comet',
'crawler',
'creativecommons',
'cyberz',
'cynthia',
'd4x',
'daum',
'delfi',
'devonagent',
'drupal',
'earthcom',
'empas',
'entireweb',
'envolk',
'euroseek',
'everbee',
'exabot',
'excite',
'fastbuzz',
'feeddemon',
'feedreader',
'feedster',
'findengines',
'findexa',
'firefly',
'friend',
'frontier',
'galaxy',
'gdesktop',
'getsmart',
'glucose',
'goforit',
'gpost',
'grubcrawler',
'gsa-crawler',
'harbot',
'heritrix',
'hotbot',
'hotzonu',
'htdig',
'html2jpg',
'hungary',
'ilse',
'inktomi',
'intravnews',
'jeteye',
'jigsaw',
'jyxo',
'keywen',
'kinja',
'lapozz',
'leechget',
'liferea',
'linkcheck',
'livedoor',
'livejournal',
'look',
'looksmart',
'loop',
'lycos',
'matkurja',
'mavicanet',
'metamedic',
'mirago',
'miva',
'mj12',
'nameprotect',
'nessus',
'netants',
'netcraft',
'netmechanic',
'netnewswire',
'newsfire',
'newsgator',
'newzcrawler',
'ngsearch',
'noviforum',
'omea',
'onet',
'openfind',
'overture',
'pinseri',
'planet',
'plsearch',
'pluck',
'pogodak',
'pukiwiki',
'rssbandit',
'rssowl',
'saucereader',
'savvybot',
'seekport',
'sharpreader',
'singingfish',
'sitesell',
'soft411',
'superbot',
'technorati',
'thunderstone',
'typepad',
'unknown',
'vindex',
'voila',
'waypath',
'webcopier',
'webmin',
'websquash',
'wiseguys',
'worldlight',
'wwgrapevine',
'www.WebSearch.com.au',
'wwwc',
'wysigot',
'yell',
'zeal'
);

$main_browser_array = array(
'Opera',
'Konqueror',
'Netscape',
'Safari',
'Arexx',
'Avant',
'AWeb',
'CERN-HTTPD',
'Commodore64',
'CrazyBrowser',
'FastWeb',
'Galeon',
'IBrowse',
'Links',
'LTHBrowser',
'Lynx',
'Mosaic',
'PikeHTTPclient',
'SaferSurf',
'S.E.KTron',
'Slackware',
'SmartPhone',
'WebTV',
'Xbox');

$browser_array=array(
'abrowse',
'AceExplorer',
'AIM',
'amaya',
'aolbrowser',
'AOL',
'AmigaVoyager',
'Astra',
'Atari',
'Blazer',
'Beonex',
'Camino',
'Chimera',
'Columbus',
'curl',
'DBBrowse',
'DeepnetExplorer',
'Dillo',
'Donut RAPT',
'Doris',
'ELinks',
'EnigmaBrowser',
'Epiphany',
'InternetExplorer',
'Explorer',
'Firebird',
'Flock',
'FunkyLittleBrowser',
'Happy-Browser',
'Hozilla',
'iCab',
'iOpus',
'ICEBrowser',
'iRider',
'iSiloX',
'Kazehakase',
'K-Meleon',
'Lotus',
'Lunascape',
'Maxthon',
'mBrowser',
'MultiZilla',
'MyBrowser',
'MyIE2',
'Nautilus',
'Netcaptor',
'NetFront',
'NetPositive',
'NWBrowser',
'NoctBrowser',
'Oregano',
'OZBrowser',
'OmniWeb',
'PhaseOut',
'Phoenix',
'Powermarks',
'Proxomitron',
'Seamonkey',
'SecretBrowser',
'Shiira',
'Sleipnir',
'Slimbrowser',
'StarOffice',
'Sunrise',
'SuperMarioBrowser',
'Thunderbird',
'Voyager',
'w3m',
'WebBrowser',
'Xiino',
'ACS-NF',
'ANTFresco',
'ActiveBookmark',
'AlizeeiPod2005',
'Auto-ProxyDownloader',
'BlackBerry7730',
'Brain',
'BrowsersPart',
'BuyGet',
'CDM',
'CFNetwork',
'Contiki',
'DA5',
'DLW2.0',
'DataFountains',
'Download.exe',
'DownloadMaster',
'DownloadNinja',
'EasyDL',
'EricssonT68',
'FDM1',
'FOOZWAK',
'FavOrg',
'FreshDownload',
'FunWebProducts',
'Go-Ahead-Got-It',
'HLoader',
'HTTPClient',
'Homerweb',
'Hop0.7',
'Hotbar',
'Hyperlink',
'IEAutoDiscovery',
'IEtest',
'IQSearch',
'JakartaCommons',
'JoeDog',
'Kittiecentral.com',
'Klondike',
'KnowItAll',
'Kurzor',
'LGU8110/v2.0',
'LTH3.02',
'LWP::Simple',
'Lament',
'Libfetch',
'LinkSweeper',
'LinspireInternetSuite',
'MOT-V551',
'MSFrontPage',
'MSN',
'MSXPLAYer2.014',
'MVAClient',
'MacNetwork',
'MicroSux',
'Minstrel-Browse',
'MissiguaLocator',
'MuscatFerret',
'NCSA_Mosaic',
'NEWTActiveX',
'Netbox',
'Netgem',
'Nintendo64',
'Nokia',
'Nokia3100',
'Nokia3200',
'Nokia3220',
'Nokia3410',
'Nokia3510i',
'Nokia3650',
'Nokia6010',
'Nokia6100',
'Nokia6600',
'Nokia6610',
'Nokia6630',
'Nokia6800',
'Nokia7250',
'Nokia7610',
'Nokia7650',
'NokiaN-Gage',
'Nutscrape',
'OffByOne',
'Operah',
'P3PClient',
'PHILIPS-Fisio311',
'POE-Component-Client-HTTP',
'PenguinFear',
'PinkSock',
'Popdexter',
'Privoxy',
'ProgramShareware',
'ProgressiveDownload',
'Python-urllib',
'Qarp',
'RT-browser',
'ReadAheadWebBrowserHost',
'RealDownload',
'Reaper',
'S.E.K-TronSystems',
'Satan',
'SA',
'SEKTron',
'SHARP-TQ-GX',
'SIE-S55',
'SISLink',
'ShockwaveFlash',
'SmurfPower',
'Snoopy',
'Snowstorm',
'SolarConflict',
'SonyEricsson',
'SopheusProject0.01',
'SpaceBison',
'Squid-Prefetch',
'SquidClamAV_Redirector',
'Steeler',
'SuperCleaner',
'Supergrass',
'SymbianOS',
'Synapse',
'T-Online',
'TheBlacksheepbrowser',
'Toaster',
'TygoProwler',
'UP.Browser',
'UPLink',
'Veczilla',
'WAP',
'WM2003',
'Wal-Mart',
'WannaBe',
'WebCapture',
'WebCatSv',
'WebForm',
'WebGod',
'WebHopper',
'WebRescuer',
'WebStripper',
'WinHTTPExample',
'WinWAP-PRO',
'WorldWideWeb-X',
'XtremeBrowser',
'ZDNetIndia',
'alpha',
'daemon',
'deepak-USC',
'dloader',
'iTunes',
'jBrowser',
'lmspider',
'lwp-trivial',
'portalmmm',
'puf0.93.2',
'sonyericsson',
'theConcept',
'webcollage',
'Mozilla'
);
?>