<?php

/*#############################################################

	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/

#############################################################*/

function get_pic($key,$value)	//gibt den Pfad fr das Icon zurueck
{
	require('array.php');
	
	if($key == "flags") $array = $flag_array;
	elseif($key == "robots") $array = $robot_array;
	elseif($key == "browsers") $array = $browser_array;
	elseif($key == "os") $array = $os_array;
	
	for($i=0;$i<count($array);$i++)
	{
		if(stristr( $value , $array[$i] )) 
		{
			return 'images/'.$key.'/'.$array[$i].'.gif';
		}
	}
	
	return 'images/'.$key.'/unknown.gif';
}

function get_country_info($key)
{
	require('array.php');
	
	$countryinfo = $country_infos[ strtoupper($key) ];
	
	if(empty($countryinfo[0])) $countryinfo = array_fill( 0, 9, "unknown" );
			
	$countryinfonew = "Country: <font size=-2>$countryinfo[0]</font><br>";
	$countryinfonew .= "Language: <font size=-2>$countryinfo[7]</font><br>";
	$countryinfonew .= "Region: <font size=-2>$countryinfo[2]</font><br>";
	$countryinfonew .= "Time zone: <font size=-2>$countryinfo[6] GMT</font><br>";
	$countryinfonew .= "Capital: <font size=-2>$countryinfo[1]</font><br>";
	$countryinfonew .= "Population: <font size=-2>$countryinfo[5]</font><br>";
	$countryinfonew .= "Currency: <font size=-2>$countryinfo[3] ($countryinfo[4])</font><br>";
	$countryinfonew .= "Dialing code: <font size=-2>+$countryinfo[8]</font>";
	
	return array( $countryinfonew , $countryinfo[0] );
}

function countryinfo($country)	//gibt den Pfad fr das Browsericon zuruek
{
	require('array.php');
	
	if($flaginfoarray[$country]) return $flaginfoarray[$country];
	else return $country;
}

function javahits( $table , $option )	//Fkr um die Daten zu sortieren nach meisten Hits und Hits berhaupt zhlen
{
	//Vari sicherheitshalber leeren
	$sortarray = array();
	unset($hits);		
		
	//Hits holen
	$h = mysql_query("SELECT `hits` FROM $table $option");
	while ($dbhits = mysql_fetch_row($h))
	{
		//Hits je Datensatz zaehlen
		$hits += $dbhits[0];			
	}
	
	//Daten fuer anzeige returnen
	return $hits;
}

function domainanalyse()	//Fkt um den Domainnamen DB gerecht zu machen fuer Analyse (immer mit www.
{
	$h = mysql_query("SELECT `referer` FROM `xt_counter_refstat` WHERE domain=''");
	while ($domain = mysql_fetch_row($h))
	{
		$referer_data = parse_url($domain[0]);
		
		if( substr($referer_data[host],0,4) != 'www.' && !ereg("(^[0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3}$)", $referer_data[host]) )
		{
			$string = "domain='http://www.".$referer_data[host]."/'";
		}
		else
		{
			$string = "domain='http://".$referer_data[host]."/'";
		}
		
		if( stristr( $referer_data[query] , "q=" ) )
		{
			$data = explode('&',$referer_data[query]);
		
			for($i=0;$i<count($data);$i++)
			{
				if(eregi("q=(.*)",$data[$i],$word)) break;
			}
			
			$string .= ", searchstring='".rawurldecode( strtolower( $word[1] ) )."'";
		}
		
		counter_update($string, "`xt_counter_refstat`", "WHERE referer='".$domain[0]."'");
	}	
}

function sortarray( $table , $value , $option )	//Fkr um die Daten zu sortieren nach meisten Hits und Hits berhaupt zhlen
{
	//Vari sicherheitshalber leeren
	$cache = array();
	$sortarray = array();
	unset($hitsall);
	unset($maxhits);
	
	//Daten aus der DB holen welche zu analy sind (bsp Browser Os etc)
	if(empty($option)) $h = mysql_query("SELECT `$value` FROM $table ");
	else $h = mysql_query("SELECT `$value` FROM $table WHERE $option ");
	while ($array = mysql_fetch_row($h))
	{
		//wenn Datensatz noch net im lokalen array dann rein damit
		if(!in_array($array[0], $cache) && !empty($array[0]) ) $cache[] = $array[0];
	}
	
	//Routine um die jeweiligen Hits der Datensatze herauszufinden und sie dann auch anzuzeigen
	for($i=0;$i<count($cache);$i++)
	{
		unset($hits);		
		
		//Hits holen
		if(empty($option)) $h = mysql_query("SELECT `hits` FROM $table WHERE `$value`='".$cache[$i]."'");
		else $h = mysql_query("SELECT `hits` FROM $table WHERE `$value`='".$cache[$i]."' && $option");
		while ($array = mysql_fetch_row($h))
		{
			//Hits je Datensatz zaehlen
			$hits += $array[0];			
		}
		
		//sortierarray basteln -> 'Datensatzname' => 'Hits'
		$sortarray[$cache[$i]] = $hits;	
		
		//ermittelt hchsten hitwert
		if($hits > $maxhits) $maxhits = $hits;
		
		//Hits gesamt zaehlen
		$hitsall += $hits;
	}
	
	//wenn keine Daten folgt nix sortieren
	if(count($sortarray) != 0)
	{
		//jetzt werden die Daten sortiert nach meisten Hits
		arsort($sortarray,SORT_NUMERIC );
		
		reset($sortarray);
	}
	
	//Daten fuer anzeige returnen
	return array( $sortarray , $hitsall , $maxhits );
}

function db_clean()
{
	//alle Eintrge ausser die von diesem Monat werden gelscht und den letzten 5 tagen des letzten Monats (wegen den statistiken etc)
	mysql_query("DELETE FROM `xt_counter_data` WHERE logintime<'".( mktime( 0, 0, 0, date("m") , 1, date("Y") ) - ( 5 * 86400 ) )."' ");	
	mysql_query("OPTIMIZE TABLE `xt_counter_data` ");
}

function hitanalyse($maxhits,$hits,$maxbarhigh,$color)
{	
	$imgsrc = "images/bars/bar_bright_".$color.".jpg";
	$img = 1;
			
	if(!empty($hits))
	{
		if($hits == $maxhits) 
		{ 	//wemm der titel mit maxhits grad dran is wird alles bold und balken blau
				$img = $maxbarhigh;
				$imgsrc = "images/bars/bar_".$color.".jpg";
		}
		else
		{
			//wenn normaler balken wird verhltniswert fr balkenlnge ermittelt
			$img = ceil( ( $maxbarhigh * ( ( $hits * 100 ) / $maxhits ) ) / 100  );
		}	
	}
	
	return array($img,$imgsrc);
}

function weekhitsgraphdata()
{
	$xt_hits = array();
	
	//holt die Werte fr Seitenhits in der letzten Woche
	for($i=date('w');$i>=0;$i--)  
	{
		unset($xt_hits_heute);
		
		$h = mysql_query("SELECT `hits` FROM `xt_counter_data` WHERE date='".date("Y-m-d", time() - ($i * 86400) )."' ");
		while ($hits_heute = mysql_fetch_row($h))
		{
			$xt_hits_heute += $hits_heute[0];		
		}
		
		$xt_hits[] = $xt_hits_heute;
		
		//ermittelt hchsten hitwert
		if($xt_hits_heute > $maxhits) $maxhits = $xt_hits_heute;
	}
	
	return array( $xt_hits , $maxhits );
}

function monthhitsgraphdata()
{
	$xt_hits = array();
	
	//holt die Werte fr Besucher am Tage des letzten Monates
	for($i=1;$i<=date('t');$i++)  
	{
		unset($hits);
		
		$h = mysql_query("SELECT `hits` FROM `xt_counter_data` WHERE date='".date("Y-m-".$i)."' ");
		while ($hits_heute = mysql_fetch_row($h))
		{
			$hits += $hits_heute[0];
		}
		
		//ermittelt hchsten hitwert
		if($hits > $maxhits) $maxhits = $hits;
		
		$xt_hits[] = $hits;
	}
	
	return array( $xt_hits , $maxhits );
}

function dayaveragegraphdata()
{
	$xt_hits = array();
	
	$temparray = mysql_fetch_row( mysql_query("SELECT `h0`, `h1`, `h2`, `h3`, `h4`, `h5`, `h6`, `h7`, `h8`, `h9`, `h10`, `h11`, `h12`, `h13`, `h14`, `h15`, `h16`, `h17`, `h18`, `h19`, `h20`, `h21`, `h22`, `h23`, `date` FROM `xt_counter_maximas`") );
	
	$tage = ceil( (time() - $temparray[24]) / (3600 * 24 ) );
	
	//holt die Werte fr Durchschnitt Besucher am Tage
	for($i=0;$i<24;$i++)  
	{
		if(!empty($temparray[$i])) 
		{
			$xt_hits[$i] = ceil( $temparray[$i] / $tage );
			
			//ermittelt hchsten hitwert
			if($xt_hits[$i] > $maxhits) $maxhits = $xt_hits[$i];
		}					
	}
	
	return array( $xt_hits , $maxhits );
}

function weekaveragegraphdata()
{
	$xt_hits = array();
	
	$temparray = mysql_fetch_row( mysql_query("SELECT `Sun`, `Mon`, `Tue`, `Wed`, `Thu`, `Fri`, `Sat`, `date` FROM `xt_counter_maximas`") );
	
	$tage = ceil( ( (time() - $temparray[7]) / (3600 * 24 ) /  7 ) );	
	
	//holt die Werte fr Besucher der letzten Woche
	for($i=0;$i<7;$i++)  
	{
		if(!empty($temparray[$i])) 
		{
			$xt_hits[$i] = ceil( $temparray[$i] / $tage );
			
			//ermittelt hchsten hitwert
			if($xt_hits[$i] > $maxhits) $maxhits = $xt_hits[$i];
		}
	}
	
	return array( $xt_hits , $maxhits );
}

function dayvisitgraphdata()
{
	$xt_hits = array();
	
	//holt die Werte fr Besucher der letzten 24h
	$sek = time() - ((date('i')*60) + date('s'));
		
	for($i=0;$i<24;$i++)  
	{
		$hits = counter_zaehler("`id`","`xt_counter_data`"," WHERE logintime>='".($sek - (3600*(date('G')-$i)) )."' && logintime<='".($sek - (3600*(date('G')-($i+1) )) )."' ");
	
		$xt_hits[] = $hits;
		
		//ermittelt hchsten hitwert
		if($hits > $maxhits) $maxhits = $hits;
	}
	
	return array( $xt_hits , $maxhits );
}

function weekvisitgraphdata()
{
	$xt_hits = array();
	
	//holt die Werte fr Besucher der letzten Woche
	for($i=date('w'); $i>=0; $i--)  
	{
		$hits = counter_zaehler("`id`","`xt_counter_data`"," WHERE date='".date("Y-m-d", time() - ($i * 86400) )."' ");
				
		$xt_hits[] = $hits;
		
		//ermittelt hchsten hitwert
		if($hits > $maxhits) $maxhits = $hits;
	}
	
	return array( $xt_hits , $maxhits );
}

function monthvisitgraphdata()
{
	$xt_hits = array();

	//holt die Werte fr Besucher am Tage des letzten Monates
	for($i=0;$i<date('t');$i++)
	{
		$hits = counter_zaehler("`id`","`xt_counter_data`"," WHERE date='".date("Y-m-".($i+1))."' ");
		
		$xt_hits[] = $hits;
		
		//ermittelt hchsten hitwert
		if($hits > $maxhits) $maxhits = $hits;
	}
	
	return array( $xt_hits , $maxhits );
}

function yearvisitgraphdata()
{
	$xt_hits = array();
	
	$xt_hits = mysql_fetch_row( mysql_query("SELECT `January`, `February`, `March`, `April`, `May`, `June`, `July`, `August`, `September`, `October`, `November`, `December` FROM `xt_counter_maximas`") );
	
	//Routine welche die alten Jahreszahlen lscht wenn ein neues Jahr beginnt
	if(!empty($xt_hits[11]) && date("F") == "January")
	{
		counter_update(" January=0, February=0, March=0, April=0, May=0, June=0, July=0, August=0, September=0, October=0, November=0, December=0 ","`xt_counter_maximas`","");
		
		$xt_hits = mysql_fetch_row( mysql_query("SELECT `January`, `February`, `March`, `April`, `May`, `June`, `July`, `August`, `September`, `October`, `November`, `December` FROM `xt_counter_maximas`") );
	}
	
	//Userdaten des laufenden Jahres ermitteln
	for($i=0; $i<12; $i++)  
	{
		//ermittelt hchsten hitwert
		if($xt_hits[$i] > $maxhits) $maxhits = $xt_hits[$i];
	}
	
	return array( $xt_hits , $maxhits );
}

function stealth_ip($ip)
{					
	$iphelp = explode(".",$ip); 
					
	for($i=0;$i<count($iphelp);$i++)
	{
		if($i == (count($iphelp) - 1)) $newip .= "xxx";
		else $newip .= $iphelp[$i].".";
	}
	
	return $newip;
}

?>