<?php

/*#############################################################

	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/

#############################################################*/

session_start();

require('../management/config/counter.config.inc.php');
require('../management/statistik/statistik.functions.php');
require('../management/config/counter.funtions.php');
require('../management/config/lang.array.php');
require('../management/statistik/array.php');

//Sprachpaket auswhlen nach cookie
if($language == "en") $langarray = $en_array;
else $langarray = $de_array;

//mit DB verbinden
$xt_stats_connection=mysql_connect($xt_stats_mysqlhost, $xt_stats_mysqluser, $xt_stats_mysqlpwd) or die("Verbindungsversuch fehlgeschlagen");
mysql_select_db($xt_stats_mysqldb, $xt_stats_connection) or die("Konnte die Datenbank nicht waehlen.");

//Seitenhits gesamt herausbekommen
$h = mysql_query("SELECT * FROM `xt_counter_data` WHERE id='".xt_mysql_check($_GET['id'])."' ") or die('Ungltige MySQL Abfrage');
$cache = mysql_fetch_row($h);

$user_agent = xt_browser($cache[7]);

if($user_agent[1] == "Robot") 
{
	$browserimage = get_pic("robots",$user_agent[0]);
	$user_agent[1] = "unknown";
}
else $browserimage = get_pic("browsers",$user_agent[0]);

$country = xt_langanalyse($cache[8]);

$countryinfo = get_country_info($country);

$temp = explode( ";" , $cache[8] );

$cache[8] = "";

for($i=0;$i<count($temp);$i++)
{
	$cache[8] .= $temp[$i]."; ";
}

$browserinfo = "USER_AGENT_STRING:<br><font size=-2>$cache[7]</font><br><br>";
$browserinfo .= "HTTP_ACCEPT_LANGUAGE:<br><font size=-2>$cache[8]</font>"; 

if(stristr( $user_agent[0] , "Firefox" ))
{
	eregi("Firefox/([0-9.+]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Internet Explorer" ))
{
	eregi("MSIE ([0-9.]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Opera" ))
{
	eregi("opera/([0-9.+]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Mozilla" ))
{
	eregi("mozilla/[5-9]\.[0-9.]{1,10}.+rv:([0-9a-z.+]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Konqueror" ))
{
	eregi("konqueror/([0-9.]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Netscape" ))
{
	eregi("netscape[0-9]?/([0-9.]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}
elseif(stristr( $user_agent[0] , "Safari" ))
{
	eregi("safari/([0-9.]{1,10})", $cache[7], $ver); 
	
	$user_agent[0] .= " ".$ver[1];
}

$hostname = gethostbyaddr( $cache[4] );

if($cache[4] == $hostname) $hostname = "unknown";

?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>xt-Stats - User Details</title>
<script type="text/javascript" language="javascript" src="javascripts.js"></script>
<style type="text/css">
<!--
body,td,th {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 11px;
	color: #000000;
}
body {
	background-image: url(../design/bg.gif);
	margin:20;
}
a:link {
	color: #416689;
	text-decoration: none;
}
a:visited {
	text-decoration: none;
	color: #416689;
}
a:hover {
	text-decoration: underline;
	color: #416689;
}
a:active {
	text-decoration: none;
	color: #416689;
}
-->
</style>

</head>

<body onmousemove="Starten(event);">

<!-- ::::::::::::::::::::: div-definition :::::::::::::::::::::::-->
<div id="ToolTip" style="position:absolute; width:100px; top:0px; left:0px; z-index:4; visibility:hidden"></div>
<!-- ::::::::::::::::::::: /div-definition :::::::::::::::::::::::-->

<table bgcolor="#999999" cellpadding="0" cellspacing="2" align="center"><tr><td bgcolor="#FFFFFF" style="padding:7px">

<table cellpadding="0" cellspacing="12" align="center" width="360">
<tr>
	<td colspan="2" style="font-size: 15px;font-weight: bold;text-align: center; padding-bottom:6px"><?= $langarray[128] ?></td>
</tr>
<tr>
	<td><strong><?= $langarray[121] ?>.:</strong></td>
	<td><?= $_GET['nr'] ?></td>
</tr>
<tr>
	<td ><strong>Log-in <?= $langarray[126] ?>:</strong></td>
	<td><?= date("d M, D, H:i:s", $cache[1] ) ?></td>
</tr>
<tr>
	<td ><strong>Last seen:</strong></td>
	<td><?= date("H:i:s", $cache[2] ) ?></td>
</tr>
<? if( $cache[2] >= time()-$xt_onlinetime ) { $online = "true"; } else { $online = "false"; } ?>
<tr>
	<td ><strong>Online:</strong></td>
	<td><img title="<?= $online ?>" src="../design/<?= $online ?>.gif" width="14" height="14" border="0" /></td>
</tr>
<tr>
	<td width="100"><strong>Hostname:</strong></td>
	<td>
	<? if(strlen($hostname) > 32) { ?>
	<a href="#" onMouseover="ToolTip('<?= $hostname ?>'); Aktivieren();" onMouseout="Deaktivieren();" ><?= substr($hostname,0,32).'...' ?></a>
	<? } else { ?>
	<?= substr($hostname,0,32) ?>
	<? } ?>
	</td>
</tr>
<tr>
	<td><strong>IP:</strong></td>
	<td><?= stealth_ip($cache[4]) ?></td>
</tr>
<tr>
	<td ><strong><?= $langarray[122] ?>:</strong></td>
	<td><a id="Stat" href="<?= $cache[5] ?>" onMouseover="ToolTip('<?= $cache[6] ?>'); Aktivieren();" onMouseout="Deaktivieren();" target="_blank"><?= substr($cache[6],0,32) ?><? if(strlen($cache[6]) > 32) print '...'; ?></a></td>
</tr>
<tr>
	<td ><strong><?= $langarray[125] ?> reloads:</strong></td>
	<td><?= $cache[12] ?></td>
</tr>
<tr>
	<td ><strong>Browser:</strong></td>
	<td><a href="#" onMouseover="ToolTip('<?= $browserinfo ?>'); Aktivieren();" onMouseout="Deaktivieren();"><img align="absmiddle" alt="browser" src="../<?=  $browserimage ?>" width="14" height="14" border="0"> <?= $user_agent[0] ?></a></td>
</tr>
<tr>
	<td ><strong>OS:</strong></td>
	<td><a href="#" onMouseover="ToolTip('<?= $browserinfo ?>'); Aktivieren();" onMouseout="Deaktivieren();"><img align="absmiddle" alt="os" src="../<?= get_pic("os",$user_agent[1]) ?>" width="14" height="14" border="0"> <?= $user_agent[1] ?></a></td>
</tr>
<tr>
	<td ><strong><?= $langarray[123] ?>:</strong></td>
	<td><a href="http://en.wikipedia.org/wiki/<?= $countryinfo[1] ?>" target="_blank" onMouseover="ToolTip('<?= $countryinfo[0] ?>'); Aktivieren();" onMouseout="Deaktivieren();"><img align="absmiddle" alt="flag" src="../<?= get_pic("flags",$country) ?>" width="17" height="11" border="0"> <?= $countryinfo[1] ?></a></td>
</tr>
<? if( !empty($cache[9]) || !empty($cache[10]) || !empty($cache[11]) ) { $jscript = "true"; } else { $jscript = "false"; } ?>
<tr>
	<td ><strong>Javascript:</strong></td>
	<td><img title="<?= $jscript ?>" src="../design/<?= $jscript ?>.gif" width="14" height="14" border="0" /></td>
</tr>
<tr>
	<td ><strong>Java:</strong></td>
	<td><img title="<?= $cache[9] ?>" src="../design/<? if( $cache[9] == "true" ) { ?>true<? } else { ?>false<? } ?>.gif" width="14" height="14" border="0" /></td>
</tr>
<tr>
	<td ><strong>Cookies:</strong></td>
	<td><img title="<?= $cache[10] ?>" src="../design/<? if( $cache[10] == "true" ) { ?>true<? } else { ?>false<? } ?>.gif" width="14" height="14" border="0" /></td>
</tr>
<tr>
	<td ><strong><?= $langarray[124] ?>:</strong></td>
	<td><?= $cache[11] ?></td>
</tr>
</table>

<div align="center" style="padding:10px"><a href="javascript:opener.focus();window.close();"><strong><?= $langarray[127] ?></strong></a></div>

</td></tr></table>

</body>
</html>
<? mysql_close($xt_stats_connection) or die('Ungltige MySQL Abfrage'); ?>