<?php

/*#############################################################


	xt-Stats - PHP Counter Script of the top class
													 
	Version: 	2.0
	Copyright:	 2005 Rdiger Kunze
	License:	GPL vs2.0 or higher [ see docs/license.txt ]
	Contact: 	http://www.kunze.be/


	Falls Sie sich selbst eine kleine Statistik bauen mchten, 
	knnen folgende Variablen zur Ausgabe genutzt werden.
		
	If you like to build your own small statistics, 
	the following variables can be used for the output. 
		 
	$xt_user_online => zeigt User online an	/ shows visitor currently online
	
	$xt_visit_today => 	zeigt User heute an / shows visitor today
						
	$xt_visit_lastday => zeigt User gestern an / shows visitor yesterday
		
	$xt_maximas[0] => zeigt die Seitenhits gesamt an / shows page hits total
			
	$xt_maximas[1] => zeigt die echten Besucher gesamt an / shows visitor total
			
	$xt_maximas[3] => zeigt das Datum an wo mit der Messung begonnen wurde / shows the counter start date
			
	$xt_maximas[2] => zeigt an, wann gleichzeitig am meisten User online waren / shows how many visitors are simultaneous online max
	$xt_maximas[4] => und an welchem Datum / shows when this was
		
	$xt_maximas[5] => zeigt an, an welchem Tag die meisten Besucher berhaupt auf Ihrer Seite waren / shows how many visitors where at your page max
	$xt_maximas[6] => und an welchem Datum / shows when this was

#############################################################*/

//config laden
require_once('management/config/counter.config.inc.php');
require_once('management/config/counter.funtions.php');

//mit DB verbinden
$xt_stats_connection=mysql_connect($xt_stats_mysqlhost, $xt_stats_mysqluser, $xt_stats_mysqlpwd);
mysql_select_db($xt_stats_mysqldb, $xt_stats_connection);

//Admin IP check - falls Admin wird nix gecheckt und bei counter deak auch net
if( $xt_inaktiv != 1 && !($xt_admincookie == 1 && $_COOKIE["C_ADMIN_PSW"] ) )
{	
	//IP ermitteln
	$IP = xt_mysql_check( xt_getip() );
	
	//IP verschleiern
	if($xt_md5 == 1) $IP = md5($IP);
	
	//bei neuem Hit wird um eins erhht
	$xt_maximas_data = 'hits=hits+1';
	
	//wenn Speed2 erfolgt diese Abfrage (geteilt weil so schneller und weniger Last)
	if($xt_speed == 2)
	{
		//berprfen ob der Besucher in der IP Sperrzeit schonmal da war
		if( counter_zaehler("`id`", "`xt_counter_data`", " WHERE ip='".$IP."' && logintime>='".(time() - $xt_ip_sperrtime)."' " ) )
		{			
			//DB updaten
			counter_update(" time='".time()."', hits=hits+1 ", "`xt_counter_data`", " WHERE ip='".$IP."' && logintime>='".(time() - $xt_ip_sperrtime)."' ");
		}
		//wenn nicht wird er in die DB aufgenohmen
		else
		{
			//in DB eintragen
			counter_insert("`xt_counter_data`", " '','".time()."','".time()."','".date("Y-m-d")."','".$IP."','','','','','','','','1' ");
			
			//User zu Besucher gesamt hinzufugen - kann bei speed schnell deak werden
			$xt_maximas_data .= ', userall=userall+1, h'.date("G").'=h'.date("G").'+1, '.date("D").'='.date("D").'+1, '.date("F").'='.date("F").'+1' ;
		}
	}
	//Speed 1 Routine
	else
	{		
		//Zusatzvalues definieren auf Nullzustand
		$xt_sitestat_values[0] = " ,'','' ";
		
		//Seitenhitstabelle aktuali - kann bei speed langsam deak werden
		if($xt_sitestat == 1) $xt_sitestat_values = xt_sitestat( $xt_title , xt_mysql_check($_SERVER['PHP_SELF']) , $xt_searchtit , xt_mysql_check($_SERVER['QUERY_STRING']) );
		
		//berprfen ob der Besucher in der IP Sperrzeit schonmal da war
		if( counter_zaehler("`id`", "`xt_counter_data`", " WHERE ip='".$IP."' && logintime>='".(time() - $xt_ip_sperrtime)."' " ) )
		{
			//DB update
			counter_update(" time='".time()."', hits=hits+1, ".$xt_sitestat_values[1], "`xt_counter_data`", " WHERE ip='".$IP."' && logintime>='".(time() - $xt_ip_sperrtime)."' ");
		}
		//wenn nicht wird er in die DB aufgenohmen
		else
		{
			//Userinfotabelle aktuali - kann bei speed langsam deak werden
			if($xt_userinfostat == 1) 
			{
				$userinfo = " ,'".xt_mysql_check($_SERVER['HTTP_USER_AGENT'])."','".xt_mysql_check($_SERVER['HTTP_ACCEPT_LANGUAGE'])."' ";
				xt_useranalyse();  
			}
			//Zusatzvalues definieren auf Nullzustand
			else $userinfo = " ,'','' ";
			
			//in DB eintragen
			counter_insert("`xt_counter_data`", " '','".time()."','".time()."','".date("Y-m-d")."','".$IP."', ".$xt_sitestat_values[0].$userinfo." ,'','','','1' ");
			
			//User auf Javascript und Funktionen checken
			if($xt_java == 1)
			{	?>
<script language="javascript" type="text/javascript">
<!--
document.write('<img src="<?= $xt_basedir ?>/images/java/javacheck.php?java='+navigator.javaEnabled()+'&cookie='+navigator.cookieEnabled+'&dim='+screen.width+'x'+screen.height+'&ip=<?= $IP ?>" border="0" width="1" height="1" style="display:none" />');
// -->
</script>
<noscript> 
<img src="<?= $xt_basedir ?>/images/java/javacheck.php?java=false&cookie=false&dim=unknown&ip=<?= $IP ?>" border="0" width="1" height="1" style="display:none" />
</noscript>
		<?	}
			
			//User zu Besucher gesamt hinzufugen
			$xt_maximas_data .= ', userall=userall+1, h'.date("G").'=h'.date("G").'+1, '.date("D").'='.date("D").'+1, '.date("F").'='.date("F").'+1' ;
		}		
		
		//Referertabelle aktuali - kann bei speed langsam deak werden
		if($xt_refstat == 1 && !empty($_SERVER['HTTP_REFERER'])) 
		{
			xt_refstat( $xt_counter_host , xt_mysql_check( $_SERVER['HTTP_REFERER'] ) );
		}
	}
	
	//holt die Werte fr kleine Statistik
	$xt_maximas = mysql_fetch_row( mysql_query("SELECT `hits`,`userall`,`maxonline`,`date`,`dateonline`,`maxperday`,`maxperdaydate` FROM `xt_counter_maximas`") );
	$xt_user_online = counter_zaehler("`id`", "`xt_counter_data`", "  WHERE time>'".(time()-$xt_onlinetime)."' " );
	$xt_visit_today = counter_zaehler("`id`", "`xt_counter_data`", "  WHERE date='".date("Y-m-d")."' " );
	$xt_visit_lastday = counter_zaehler("`id`", "`xt_counter_data`", "  WHERE date='".date("Y-m-d", time()-86400)."' " );
	
	//wenn grad mehr User online sind als beim Rekord schreib neue daten
	if( $xt_user_online > $xt_maximas[2] ) $xt_maximas_data .= ", maxonline='$xt_user_online', dateonline='".time()."' ";
	
	//Routine um zu pruefen ob ein Rekord vorliegt	
	//wenn grad mehr User online sind als beim Rekord schreib neue daten
	if( $xt_visit_today > $xt_maximas[5] ) $xt_maximas_data .= ", maxperday='$xt_visit_today', maxperdaydate='".time()."' ";
	
	//updated Werte fr Maximasstatistik in nur einem querry
	counter_update($xt_maximas_data, "`xt_counter_maximas`", "");
}

?>